// Goals: filter messages based on origin
//      common format - ERROR
`timescale 1ns/1ns

`include "rvm_vl.vh"

module dut();
   reg [8*100:1] message = 0;  // Clear out x bits
   reg 		 parity = 1;
   integer 	 log;

   lower i1 (200);
   lower i2 (300);

   initial
     begin
	#100 ;
	// Create a Vera rvm_log object
	`RVM_LOG_NEW(log, "dut")

	$swrite(message, "bad parity = %b", parity);
	`RVM_WARNING(log, message);
     end
endmodule



module lower(delay);
   input [31:0]  delay;
   reg [8*100:1] message = 0;  // Clear out x bits
   integer 	 log;

   initial
     begin
	#(delay);
	// Create a new rvm_log object for this instance
	`RVM_LOG_NEW(log, "lower")

	// Print an unformatted message
	`RVM_DEBUG(log, "In lower module");
     end
endmodule // lower
