// definitions for Verilog to RVM log example
// The values are not important now... but could be aligned with those in
// $VERA_HOME/include/rvm_std_lib.vrh

`define RVM_LEVEL_NOTE		1
`define RVM_LEVEL_REPORT	2
`define RVM_LEVEL_COMMAND	3
`define RVM_LEVEL_PROTOCOL	4
`define RVM_LEVEL_TRANSACTION	5
`define RVM_LEVEL_CYCLE		6
`define RVM_LEVEL_TRACE		7
`define RVM_LEVEL_DEBUG		8
`define RVM_LEVEL_VERBOSE	9
`define RVM_LEVEL_WARNING	10
`define RVM_LEVEL_ERROR		11
`define RVM_LEVEL_FATAL		12

// The shell name is different between Vera and NTB
`ifdef SYNOPSYS_NTB
`define TB_SHELL vshell
`else
`define TB_SHELL vera_shell
`endif

`define RVM_NOTE(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_DEBUG,idx,msg)
`define RVM_REPORT(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_REPORT,idx,msg)
`define RVM_COMMAND(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_COMMAND,idx,msg)
`define RVM_PROTOCOL(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_PROTOCOL,idx,msg)
`define RVM_TRANSACTION(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_TRANSACTION,idx,msg)
`define RVM_CYCLE(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_CYCLE,idx,msg)
`define RVM_TRACE(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_TRACE,idx,msg)
`define RVM_DEBUG(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_DEBUG,idx,msg)
`define RVM_VERBOSE(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_VERBOSE,idx,msg)
`define RVM_WARNING(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_WARNING,idx,msg)
`define RVM_ERROR(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_ERROR,idx,msg)
`define RVM_FATAL(idx,msg) `TB_SHELL.rvm_log_message(`RVM_LEVEL_FATAL,idx,msg)

`define RVM_LOG_SET_VERBOSITY(level,log) `TB_SHELL.rvm_log_set_verbosity(level,log)
`define RVM_LOG_SET_VERBOSITY_ALL(level) `TB_SHELL.rvm_log_set_verbosity_all(level)

`define RVM_LOG_NEW(log, module_name) \
   begin : \. \
      reg [8*200:1] instance; \
      instance = 0; \
      $swrite(instance, "%m"); \
      `TB_SHELL.rvm_log_new(log, module_name, instance);\
   end